Port-xen archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: 32-bit netbsd-4 domu on xen 3.3?

On Mon, Dec 05, 2011 at 04:26:41PM +0100, Christoph Badura wrote:
> On Mon, Dec 05, 2011 at 02:53:23PM +0000, Stephen Borrill wrote:
> > PV or HVM?
> Err, PV is what I meant.
> > HVM will work. For PV you'd need to use a PAE domU kernel which
> > depending on the age of the NetBSD release in your domUs might not
> > be available.
> Well, currently the domU is running some version of netbsd-4.  I believe
> there's no PAE domU for netbsd-4.  Maybe a netbsd-5 kernel will be good
> enough to run the domU.

Either you stay to Xen 3.1 (which has 32bits non-PAE support, but
this requires a 32bits non-PAE dom0 as well). For 3.3 or newer,
you need i386APE or amd64, which means netbsd-5.

A netbsd-4 domU can run with a netbsd-5 kernel; this is how 4.0 binary
packages are built these days.

The other way is convert the domU to HVM (with a I/O performance hit).

Manuel Bouyer <bouyer%antioche.eu.org@localhost>
     NetBSD: 26 ans d'experience feront toujours la difference

Home | Main Index | Thread Index | Old Index